/* -*- Mode: C; c-file-style: "gnu" -*-
   drawingsurface.c -- native methods for sun/awt/motif/MDrawingSurfacePeer..
   Created: Chris Toshok <toshok@hungry.com>, 14-Sep-1998.
 */
/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1998, 1999 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "config.h"
#include "jni.h"

#include "common.h"
#include <Xm/Xm.h>

#include <assert.h>
#include <stdlib.h>

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MDrawingSurfaceInfo_lock(JNIEnv *env,
					    jobject peer)
{
  printf ("Java_sun_awt_motif_MDrawingSurfaceInfo_lock\n");
  return 0;
}

JNIEXPORT void JNICALL
Java_sun_awt_motif_MDrawingSurfaceInfo_unlock(JNIEnv *env,
					      jobject peer)
{
  printf ("Java_sun_awt_motif_MDrawingSurfaceInfo_unlock\n");
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MDrawingSurfaceInfo_getDisplay(JNIEnv *env,
						  jobject peer)
{
  printf ("Java_sun_awt_motif_MDrawingSurfaceInfo_getDisplay\n");
  return 0;
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MDrawingSurfaceInfo_getDrawable(JNIEnv *env,
						   jobject peer)
{
  printf ("Java_sun_awt_motif_MDrawingSurfaceInfo_getDrawable\n");
  return 0;
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MDrawingSurfaceInfo_getDepth(JNIEnv *env,
						jobject peer)
{
  printf ("Java_sun_awt_motif_MDrawingSurfaceInfo_getDepth\n");
  return 0;
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MDrawingSurfaceInfo_getVisualID(JNIEnv *env,
						   jobject peer)
{
  printf ("Java_sun_awt_motif_MDrawingSurfaceInfo_getVisualID\n");
  return 0;
}

JNIEXPORT jint JNICALL
Java_sun_awt_motif_MDrawingSurfaceInfo_getColormapID(JNIEnv *env,
						     jobject peer)
{
  printf ("Java_sun_awt_motif_MDrawingSurfaceInfo_getColormapID\n");
  return 0;
}
